Arch Add: Difference between revisions

From FreeCAD Documentation
m (template fr)
No edit summary
Line 1: Line 1:
{{GuiCommand|Name=Arch Add|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch -> Add|SeeAlso=[[Arch Remove]]}}
{{GuiCommand|Name=Arch Add|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch -> Add|SeeAlso=[[Arch Remove]]}}


====Description====
==Description==


The Add tool allows you to do 2 kinds of operations:
The Add tool allows you to do 2 kinds of operations:
* Add [[Part Module|shape]]-based objects to an Arch component, such as a [[Arch Wall|wall]] or [[Arch Structure|structure]]. These objects make then part of the Arch component, and allow you to modify its shape but keeping its base properties such as width and height
* Add [[Part Module|shape]]-based objects to an Arch component, such as a [[Arch Wall|wall]] or [[Arch Structure|structure]]. These objects make then part of the Arch component, and allow you to modify its shape but keeping its base properties such as width and height
* Add Arch components, such as a [[Arch Wall|walls]] or [[Arch Structure|structures]], to a [[Arch Cell|cell]] or other cell-based objects such as [[Arch Floor|floors]].
* Add Arch components, such as a [[Arch Wall|walls]] or [[Arch Structure|structures]], to a group-based arch object such as [[Arch Floor|floors]].
* Add [[Arch Axis|axis systems]] to [[Arch Structure|structural objects]]
* Add objects to [[Arch SectionPlane|section planes]]


[[Image:Arch Add example.jpg]]
[[Image:Arch Add example.jpg]]
Line 11: Line 13:
In the above image, a box is being added to a wall.
In the above image, a box is being added to a wall.


====Usage====
==How to use==

* Select the object(s) to be added, then the "host" object (the host object must be the last one you selected)
# Select the object(s) to be added, then the "host" object (the host object must be the last one you selected)
* Press the [[Image:Arch Add.png|16px]] '''Add''' button
# Press the {{KEY|[[Image:Arch Add.png|16px]] '''Add'''}} button

==Scripting==

The Add tool can by used in [[macros]] and from the python console by using the following function:

'''addComponents (objectsList,hostObject)''': adds the given object or the objects from the given list as components
to the given host Object. Use this for example to add windows to a wall, or to add walls to a floor.

Example:

import FreeCAD, Arch, Draft, Part
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
wall = Arch.makeWall(line)
box = Part.makeBox(1,1,1)
Arch.addComponents(box,wall)


{{languages | {{es|Arch_Add/es}} {{fr|Arch_Add/fr}} {{it|Arch_Add/it}} {{se|Arch_Add/se}} }}
{{languages | {{es|Arch_Add/es}} {{fr|Arch_Add/fr}} {{it|Arch_Add/it}} {{se|Arch_Add/se}} }}

Revision as of 15:21, 8 December 2012

Arch Add

Menu location
Arch -> Add
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch Remove

Description

The Add tool allows you to do 2 kinds of operations:

In the above image, a box is being added to a wall.

How to use

  1. Select the object(s) to be added, then the "host" object (the host object must be the last one you selected)
  2. Press the Add button

Scripting

The Add tool can by used in macros and from the python console by using the following function:

addComponents (objectsList,hostObject): adds the given object or the objects from the given list as components 
to the given host Object. Use this for example to add windows to a wall, or to add walls to a floor.

Example:

import FreeCAD, Arch, Draft, Part
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
wall = Arch.makeWall(line)
box = Part.makeBox(1,1,1)
Arch.addComponents(box,wall)
Available translations of this page: Template:Se